# Security provisions

Security being one of the most important considerations of our system various measures have been taken to ensure it.

### Secure connections via HTTPS and HSTS&#x20;

All communications are encrypted by TLS (Transport Layer Security) including the KKiaPay site and dashboard. The communications between the REST API, the various SDKs and the server are only possible in HTTPS (HyperText Transfer Protocol Secure) and all communications are encrypted by&#x20;

The details of our implementation such as: the certificates we use, the certification authorities we use and the encryption we support are regularly subject to verification.

HSTS (HTTP Strict Transport Security) is used to ensure that regardless of the browser, interactions with KKiaPay take place only via HTTPS.

Encryption of sensitive data and communications All sensitive data is encrypted on disk in AES-256 (Advanced Encryption Standard). Decryption keys are stored on separate machines. As a result, none of KKiaPay's internal servers or services have access to this data. On the other hand, internal modules are allowed to send this data to the payment solution provider.

### Authentication and confidentiality

&#x20;In order to ensure the authenticity and confidentiality of our solution, the following measures have been taken :

* Restriction of access to the dashboard only to users who have gone through email and password authentication implemented on the basis of the recommendations of the OAUTH2 protocol;
* Double authentication (optional) by SMS or QR Code requested before each access to the dashboard;
* The use of the API is protected by explicit control of request headers;
* The generation of a unique RSA key pair for each service provider to authenticate its requests and decrypt its information;
* The implementation of CORS (Cross Origin Resource Sharing) and CSRF (Cross Site Request Forgery) protections to ensure a trusting exchange between the service provider's sites/applications and KKiaPay.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kkiapay.me/v1/en-1.0.0/securite/untitled.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
